Skip to main content
POST
/
ml
/
training
/
jobs
/
{id}
/
register-model
Register trained model
curl --request POST \
  --url https://acusight.io/api/ml/training/jobs/{id}/register-model \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "weights_path": "<string>"
}
'
{
  "data": {
    "aliases": [
      "<string>"
    ],
    "created_at": "<string>",
    "deployed_count": 123,
    "description": "<string>",
    "format": "<string>",
    "framework": "<string>",
    "id": 123,
    "is_archived": true,
    "is_reference": true,
    "model_type": "<string>",
    "name": "<string>",
    "project_id": 123,
    "source_model_version_id": 123,
    "updated_at": "<string>",
    "version": 123,
    "version_id": 123
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Training job ID

Body

application/json

Model registration payload

weights_path
string

For logging only

Response

Model registered successfully

data
object
error
object
meta
object
success
boolean